Bug 687895 - Can not rebuild gdcm
Summary: Can not rebuild gdcm
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: vtk
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Axel Thimm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-15 16:52 UTC by Marek Kašík
Modified: 2011-03-29 03:57 UTC (History)
2 users (show)

Fixed In Version: poppler-0.16.3-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-29 03:57:59 UTC


Attachments (Terms of Use)

Description Marek Kašík 2011-03-15 16:52:11 UTC
Description of problem:
Rebuild of gdcm in Fedora 15 fail with vtk-5.6.1-3.fc15 (64bit system):

CMake Error at Utilities/VTK/CMakeLists.txt:21 (INCLUDE):
  include could not find load file:

    /usr/lib/vtk-5.6/UseVTK.cmake


CMake Error at Utilities/VTK/CMakeLists.txt:98 (VTK_MAKE_INSTANTIATOR3):
  Unknown CMake command "VTK_MAKE_INSTANTIATOR3".


It doesn't fail with vtk-5.6.1-1.fc15


Version-Release number of selected component (if applicable):
vtk-5.6.1-3.fc15


How reproducible:
always


Actual results:
build fails


Expected results:
build success


Additional info:
I need to rebuild gdcm to finish chain-build of packages which requires poppler and file update for them.

Comment 1 Fedora Update System 2011-03-15 21:30:50 UTC
vtk-5.6.1-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/vtk-5.6.1-4.fc15

Comment 2 Orion Poplawski 2011-03-15 21:32:28 UTC
I think this should fix it.  Can you test?

Comment 3 Marek Kašík 2011-03-16 15:01:05 UTC
Hi Orion,

thank you for your quick response. Unfortunately, there were missing backslashes in VTK_INSTALL_INCLUDE_DIR and VTK_INSTALL_LIB_DIR paths (/%{_lib}/vtk-5.6, /include/vtk) and the rebuild failed with this:


CMake Error at Utilities/VTK/CMakeLists.txt:21 (INCLUDE):
  include could not find load file:

    /usrlib64/vtk-5.6/UseVTK.cmake


CMake Error at Utilities/VTK/CMakeLists.txt:98 (VTK_MAKE_INSTANTIATOR3):
  Unknown CMake command "VTK_MAKE_INSTANTIATOR3".


and this:


[ 83%] Building CXX object Utilities/VTK/CMakeFiles/vtkgdcm.dir/vtkGDCMTesting.cxx.o
cd /home/mkasik/rpmbuild/BUILD/gdcm-2.0.16/Utilities/VTK && /usr/bin/c++   -Dvtkgdcm_EXPORTS -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic   -Wno-deprecated -O3 -DNDEBUG -fPIC -I/usrinclude/vtk -I/usr/include/python2.7 -I/usr/lib/jvm/java/include -I/usr/lib/jvm/java/include/linux -I/usr/include/libxml2 -I/usr/include/freetype2 -I/home/mkasik/rpmbuild/BUILD/gdcm-2.0.16/Source/Common -I/home/mkasik/rpmbuild/BUILD/gdcm-2.0.16/Source/DataStructureAndEncodingDefinition -I/home/mkasik/rpmbuild/BUILD/gdcm-2.0.16/Source/MediaStorageAndFileFormat -I/home/mkasik/rpmbuild/BUILD/gdcm-2.0.16/Source/DataDictionary -I/home/mkasik/rpmbuild/BUILD/gdcm-2.0.16/Utilities/VTK   -o CMakeFiles/vtkgdcm.dir/vtkGDCMTesting.cxx.o -c /home/mkasik/rpmbuild/BUILD/gdcm-2.0.16/Utilities/VTK/vtkGDCMTesting.cxx
In file included from /home/mkasik/rpmbuild/BUILD/gdcm-2.0.16/Utilities/VTK/vtkGDCMTesting.cxx:15:0:
/home/mkasik/rpmbuild/BUILD/gdcm-2.0.16/Utilities/VTK/vtkGDCMTesting.h:25:23: fatal error: vtkObject.h: No such file or directory


I've added those backslashes and it is building right now. I will make the new vtk build part of the update I'm preparing for poppler.

Regards

Marek

Comment 4 Orion Poplawski 2011-03-16 15:10:06 UTC
Thanks.  I've pushed the vtk changes to the master branch as well.

Comment 5 Marek Kašík 2011-03-16 15:11:44 UTC
Thank you Orion.

Marek

P.S.: I meant slashes, not backslashes

Comment 6 Fedora Update System 2011-03-22 10:12:13 UTC
poppler-0.16.3-1.fc15,libreoffice-3.3.1.2-11.fc15,ufraw-0.18-2.fc15,vtk-5.6.1-5.fc15,apvlv-0.0.9.8-4.fc15,calibre-0.7.44-3.fc15,ease-0.4-4.fc15,epdfview-0.1.7-13.20100621svn.fc15,evince-2.91.92-2.fc15,gambas2-2.22.0-6.fc15,gdcm-2.0.16-17.fc15,gimp-2.6.11-8.fc15,gloobus-preview-0.4.1-13.fc15,gnome-commander-1.2.8.10-3.fc15,gummi-0.5.5-4.fc15,inkscape-0.48.1-4.fc15,koffice-2.3.3-2.fc15,libextractor-0.6.2-1508.fc15,OpenSceneGraph-2.8.3-10.fc15,pdf2djvu-0.7.4-7.fc15,pdf2svg-0.2.1-11.fc15,pypoppler-0.12.1-11.fc15,referencer-1.1.6-15.fc15,rubygem-poppler-0.90.8-2.fc15,texlive-2007-62.fc15,texmaker-2.1-5.fc15,texmakerx-2.0-6.fc15,tracker-0.10.3-2.fc15,vifir-0.8-1.fc15,xournal-0.4.5-12.fc15,zathura-0.0.8.2-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/poppler-0.16.3-1.fc15,libreoffice-3.3.1.2-11.fc15,ufraw-0.18-2.fc15,vtk-5.6.1-5.fc15,apvlv-0.0.9.8-4.fc15,calibre-0.7.44-3.fc15,ease-0.4-4.fc15,epdfview-0.1.7-13.20100621svn.fc15,evince-2.91.92-2.fc15,gambas2-2.22.0-6.fc15,gdcm-2.0.16-17.fc15,gimp-2.6.11-8.fc15,gloobus-preview-0.4.1-13.fc15,gnome-commander-1.2.8.10-3.fc15,gummi-0.5.5-4.fc15,inkscape-0.48.1-4.fc15,koffice-2.3.3-2.fc15,libextractor-0.6.2-1508.fc15,OpenSceneGraph-2.8.3-10.fc15,pdf2djvu-0.7.4-7.fc15,pdf2svg-0.2.1-11.fc15,pypoppler-0.12.1-11.fc15,referencer-1.1.6-15.fc15,rubygem-poppler-0.90.8-2.fc15,texlive-2007-62.fc15,texmaker-2.1-5.fc15,texmakerx-2.0-6.fc15,tracker-0.10.3-2.fc15,vifir-0.8-1.fc15,xournal-0.4.5-12.fc15,zathura-0.0.8.2-5.fc15

Comment 7 Fedora Update System 2011-03-29 03:57:27 UTC
poppler-0.16.3-1.fc15, ufraw-0.18-2.fc15, vtk-5.6.1-5.fc15, apvlv-0.0.9.8-4.fc15, calibre-0.7.44-3.fc15, ease-0.4-4.fc15, epdfview-0.1.7-13.20100621svn.fc15, gdcm-2.0.16-17.fc15, gimp-2.6.11-8.fc15, gloobus-preview-0.4.1-13.fc15, gnome-commander-1.2.8.10-3.fc15, gummi-0.5.5-4.fc15, inkscape-0.48.1-4.fc15, koffice-2.3.3-2.fc15, libextractor-0.6.2-1508.fc15, OpenSceneGraph-2.8.3-10.fc15, pdf2djvu-0.7.4-7.fc15, pdf2svg-0.2.1-11.fc15, pypoppler-0.12.1-11.fc15, referencer-1.1.6-15.fc15, rubygem-poppler-0.90.8-2.fc15, texlive-2007-62.fc15, texmaker-2.1-5.fc15, vifir-0.8-1.fc15, xournal-0.4.5-12.fc15, zathura-0.0.8.2-5.fc15, gambas2-2.22.0-7.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.